/****************************************************************
 * DMA headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ***************************************************************/

#ifndef _DMA_H
#define	_DMA_H

#include "gba_dma.h"


#define	DMA_SIMPLE_SETUP	(DMA_SRC_INCREMENT | DMA_DEST_INCREMENT | DMA_32BIT_COPY | DMA_TIMING_IMMEDIATE | DMA_ENABLE)


/**********************************************************
 * copy info through DMA
 *
 * IN:      pSrc = source address (u32 *)
 * 			pDest = destination address (u32 *)
 * 			count = number of 32 bit words to copy (u16)
 *
 * NOTE:	assumes 32 bit word copy, DMA channel 3,
 *			incrementing copy, no interrupt
 **********************************************************/
#define	DMA_Copy(pSrc, pDest, count)		\
	REG_DMA_0_SRC_ADDR = (u32)pSrc;		\
	REG_DMA_0_DEST_ADDR = (u32)pDest;	\
	REG_DMA_0_CONTROL = DMA_SIMPLE_SETUP | count;



#endif

