/*******************************************************************
 * headers for explosion game objects
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ******************************************************************/


#ifndef _EXPLOSION_H
#define	_EXPLOSION_H

#include "types.h"
#include "math.h"
#include "object.h"

#define	EXPLOSION_ANIM_TIME		float_to_s24f8(6)


typedef struct ExplosionStruct
{
	OBJECT_HEADER

	s24f8_vect2D	pos;		// world position of the bullet

	u16				curFrame;	// animation frame the bullet is on
	s24f8			frameTimer;	// time till next frame change

	u16				attrib0, attrib1;	// hardware sprite attributes

} ExplosionStruct;


/********************************************************************
 * launch an explosion
 *
 * IN:		world position of the explosion
 *
 * RETURNS:	ptr to the explosion object
 *******************************************************************/
extern ExplosionStruct *Explosion_New (s24f8_vect2D *pPos);


/**********************************************************************
 * update an explosion object
 *********************************************************************/
extern u32 Explosion_Update (ObjectStruct *pObj);



#endif

