/*********************************************************************
 * headers for world setup
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 *********************************************************************/

#ifndef _WORLD_H
#define	_WORLD_H

#include "types.h"
#include "math.h"


#define	SCREEN_SIZE_X	float_to_s24f8(240)
#define	SCREEN_SIZE_Y	float_to_s24f8(160)


// the position of the screen in the main game world
extern s24f8_vect2D gWorldPos;


/*****************************************************************
 * init the game world
 *
 * IN:		worldX/Y - initial screen position in the world
 * 			worldSizeX/Y - size of the world
 ****************************************************************/
extern void World_Init (s24f8 worldX, s24f8 worldY, s24f8 worldSizeX, s24f8 worldSizeY);


#endif

